# BEGIN SourceDeps(oneline):
BuildRequires: perl(Date/Calc.pm) perl(ExtUtils/MakeMaker.pm) perl(Test.pm) perl(Tk.pm) perl(Tk/Frame.pm) perl(Tk/Photo.pm) perl(WidgetDemo.pm) perl(base.pm) xvfb-run
# END SourceDeps(oneline)
%ifndef _build_display
%def_without test
%endif
%define module_version 0.4
%define module_name Tk-ChooseDate
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.4
Release: alt7
Summary: Popup Calendar with support for dates prior to 1970
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DU/DUNNIGANJ/%module_name-%module_version.tar.gz

%description
ChooseDate is yet-another-date-choosing widget via a popup calendar.
It was created because the Tk::DateEntry manpage and the Tk::DatePick manpage do not
allow support for dates prior to 1970. Besides this major item, I
personally think that this is a nicer-looking widget with similar
functionality of the others - but much more user friendly as dates
can be chosen quickly and easily.

Although the widget looks much like an Entry - it is not. It is a
sunken label. This means that the date is not directly editable by
the user; yes - this is by design. That said however, the programmer
can get and set the date using the mehods described herein.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build
xvfb-run -a make test

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.4-alt7
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.4-alt6
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.4-alt5
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.4-alt4.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.4-alt3.1
- rebuild with perl 5.26

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.4-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.4-alt2
- rebuild to get rid of unmets

* Thu Oct 17 2013 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1
- initial import by package builder

